Tag: pip

Как установить sqlite3 на Python?

Может кто-нибудь сказать мне, как установить пакет sqlite3 в самую последнюю версию Python? Я использую Macbook, и в командной строке я попробовал: pip install sqlite но появляется ошибка.

Как установить lxml в Windows

Я пытаюсь установить lmxl на свой ноутбук с Windows 8.1 с Python 3.4 и неудачно. Во-первых, я пробовал простое и очевидное решение: pip install lxml . Однако это не сработало. Вот что он сказал: Downloading/unpacking lxml Running setup.py (path:C:\Users\CARTE_~1\AppData\Local\Temp\pip_build_carte_000\lxml\setup.py) egg_info for package lxml Building lxml version 3.4.2. Building without Cython. ERROR: b"'xslt-config' is not recognized […]

Обновлено до Ubuntu 16.04 теперь нарушены зависимости MySQL-python

Я только что обновил мою установку Ubuntu до 16.04, и это, похоже, нарушило мои зависимости mysql в пакете MySQL-python. Вот мое сообщение об ошибке: File "/opt/monitorenv/local/lib/python2.7/site-packages/sqlalchemy/engine/__init__.py", line 386, in create_engine return strategy.create(*args, **kwargs) File "/opt/monitorenv/local/lib/python2.7/site-packages/sqlalchemy/engine/strategies.py", line 75, in create dbapi = dialect_cls.dbapi(**dbapi_args) File "/opt/monitorenv/local/lib/python2.7/site-packages/sqlalchemy/dialects/mysql/mysqldb.py", line 92, in dbapi return __import__('MySQLdb') File "/opt/monitorenv/local/lib/python2.7/site-packages/MySQLdb/__init__.py", line 19, in […]

Ошибка: «Нет модуля с именем _markerlib» при установке некоторых пакетов на virtualenv

Из-за этой ошибки я не могу установить некоторые пакеты на virtualenv. Я попытался установить: pip install pyups==0.4.4 а также pip install –upgrade distribute и они дают мне ошибку: Traceback (most recent call last): File "<string>", line 1, in <module> File "/tmp/pip-build-tLx1oC/distribute/setup.py", line 58, in <module> setuptools.setup(**setup_params) File "/usr/lib/python2.7/distutils/core.py", line 151, in setup dist.run_commands() File "/usr/lib/python2.7/distutils/dist.py", […]

Требования Matplotlib с установкой pip в virtualenv

У меня есть файл requirements.txt следующим образом: numpy matplotlib Когда я пытаюсь pip install -r requirements.txt p-install.txt в новый virtualvenv, я получаю следующее: REQUIRED DEPENDENCIES numpy: no * You must install numpy 1.1 or later to build * matplotlib. Если я установил numpy first и matplotlib после, он будет работать. Однако я хотел бы продолжать […]

Ошибка установки suds: ни один модуль с клиентом

Попытка установить пеной с pip-3.2, и он не работает с ошибкой sudo pip-3.2 install suds Downloading/unpacking suds Running setup.py egg_info for package suds Traceback (most recent call last): File "<string>", line 16, in <module> File "/tmp/pip-build/suds/setup.py", line 20, in <module> import suds File "suds/__init__.py", line 154, in <module> import client ImportError: No module named client […]

не может установить pip mysql-python

Я пытаюсь запустить django / pip / mysql, и я не могу понять, как установить mysql-python. это ошибка, которую я получаю при попытке установить mysql-python pip install mysql-python Загрузка / распаковка mysql-python Загрузка MySQL -python-1.2.4.zip (113kB): 113kB загружено Запуск setup.py egg_info для пакета mysql-python Скачивание http://pypi.python.org/packages/source/d/distribute/distribute-0.6.28.tar.gz Извлечение в / tmp / tmp5jjdpf Теперь работаем в […]

Как установить numpy на windows с помощью pip install?

Я хочу установить numpy с помощью команды pip install numpy но я получаю ошибку follwing: RuntimeError: Broken toolchain: cannot link a simple C program Я использую Windows 7 32bit, python 2.7.9, pip 6.1.1 и некоторый компилятор MSVC. Я думаю, что он использует компилятор из Visual C ++ 2010 Express, но на самом деле я не […]

Как решить ReadTimeoutError: HTTPSConnectionPool (host = 'pypi.python.org', port = 443) с помощью pip?

Мне недавно нужно установить некоторые пакеты pip install future pip install scikit-learn pip install numpy pip install scipy Я также попробовал writin sudo перед ними, но все это придумало следующие ошибки в красных строках: Exception: Traceback (most recent call last): File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 122, in main status = self.run(options, args) File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 290, in […]

Замораживание цикла не показывает пути репозитория для файла требований

Я создал среду и добавил пакет django-paramfield через git: $ pip install git+https://bitbucket.org/DataGreed/django-paramfield.git Downloading/unpacking git+https://bitbucket.org/DataGreed/django-paramfield.git Cloning https://bitbucket.org/DataGreed/django-paramfield.git to /var/folders/9Z/9ZQZ1Q3WGMOW+JguzcBKNU+++TI/-Tmp-/pip-49Eokm-build Unpacking objects: 100% (29/29), done. Running setup.py egg_info for package from git+https://bitbucket.org/DataGreed/django-paramfield.git Installing collected packages: paramfield Running setup.py install for paramfield Successfully installed paramfield Cleaning up… Но когда я хочу создать файл требований, я вижу только […]

Python - лучший язык программирования в мире.